Bug 1221116 - XTandem's test fails on PPC64
Summary: XTandem's test fails on PPC64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: XTandem
Version: rawhide
Hardware: ppc64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc
TreeView+ depends on / blocked
 
Reported: 2015-05-13 10:14 UTC by Antonio
Modified: 2015-05-26 03:36 UTC (History)
1 user (show)

Fixed In Version: XTandem-150401.1-3.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-22 17:57:42 UTC


Attachments (Terms of Use)

Description Antonio 2015-05-13 10:14:06 UTC
Description of problem:

+ ./tandem input.xml
X! P3 Piledriver (2015.04.01.1)
Loading spectra (mgf). loaded.
Spectra matching criteria = 511
Pluggable scoring enabled.
Starting threads . started.
Computing models:
terminate called after throwing an instance of 'std::bad_alloc'
  what():  std::bad_alloc

Version-Release number of selected component (if applicable):
XTandem-150401.1-1

How reproducible:
By building XTandem on EPEL6-->PPC64

Actual results:
I excluded test on PPC64 buildings.

Additional info:
Upstream has not a mind to fix this type of issue.

Comment 1 Dan Horák 2015-05-13 10:27:37 UTC
From http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2488494 where it passes the test on the little endian variant of ppc64 I think this is a general problem (not a test problem) with big endian arches, so please excludearch all big endian arches (ppc64, s390, s390x) or make it exclusivearch for little endian arches.

Comment 2 Fedora Update System 2015-05-13 11:04:15 UTC
XTandem-150401.1-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/XTandem-150401.1-3.fc22

Comment 3 Fedora Update System 2015-05-13 11:05:25 UTC
XTandem-150401.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/XTandem-150401.1-3.fc21

Comment 4 Fedora Update System 2015-05-14 11:15:27 UTC
Package XTandem-150401.1-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing XTandem-150401.1-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8161/XTandem-150401.1-3.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-05-22 17:57:42 UTC
XTandem-150401.1-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-05-26 03:36:05 UTC
XTandem-150401.1-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.